Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request GET \
--url https://apigw.ipxo.com/ecommerce/public/{user_id}/subscriptions/{subscription_uuid}/phases \
--header 'Authorization: Bearer <token>'import requests
url = "https://apigw.ipxo.com/ecommerce/public/{user_id}/subscriptions/{subscription_uuid}/phases"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://apigw.ipxo.com/ecommerce/public/{user_id}/subscriptions/{subscription_uuid}/phases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"uuid": "06a0afbc-62e7-36f2-a0f3-0b5d07e90466",
"name": "Reiciendis rerum harum architecto.",
"short_description": "Aliquid dolorum illo nisi fuga.",
"start_at": "2026-03-03T14:05:32.0000000+00:00",
"occurrence": "month",
"period": 1,
"end_at": "2026-04-03T14:05:32.0000000+00:00",
"status": "pending",
"created_at": "2026-03-03T14:05:32.0000000+00:00"
},
{
"uuid": "99281d51-90c0-3073-87fc-af942644352c",
"name": "Quae quia quo est.",
"short_description": "Eum quos quia voluptates quos accusamus.",
"start_at": "2026-03-03T14:05:32.0000000+00:00",
"occurrence": "month",
"period": 1,
"end_at": "2026-04-03T14:05:32.0000000+00:00",
"status": "pending",
"created_at": "2026-03-03T14:05:32.0000000+00:00"
}
],
"meta": {
"current_page": 1,
"total": 2,
"per_page": 10
}
}Return a list of Subscription Phases.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
A comma-separated list of fields to sort. Multiple allowed. Prefix with - to sort descending.
created_at "created_at"
"2023-10-07T12:16:27+00:00"
"2023-10-07T12:16:27+00:00"
Show child attributes
[
{
"uuid": "06a0afbc-62e7-36f2-a0f3-0b5d07e90466",
"name": "Reiciendis rerum harum architecto.",
"short_description": "Aliquid dolorum illo nisi fuga.",
"start_at": "2026-03-03T14:05:32+00:00",
"occurrence": "month",
"period": 1,
"end_at": "2026-04-03T14:05:32+00:00",
"status": "pending",
"created_at": "2026-03-03T14:05:32+00:00"
},
{
"uuid": "99281d51-90c0-3073-87fc-af942644352c",
"name": "Quae quia quo est.",
"short_description": "Eum quos quia voluptates quos accusamus.",
"start_at": "2026-03-03T14:05:32+00:00",
"occurrence": "month",
"period": 1,
"end_at": "2026-04-03T14:05:32+00:00",
"status": "pending",
"created_at": "2026-03-03T14:05:32+00:00"
}
]
Show child attributes